docs/tutorial/prepare_test_file.sh
changeset 5227 b24de4b465ea
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/tutorial/prepare_test_file.sh	Wed Dec 18 14:10:49 2019 +0100
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -euo pipefail
+
+# Dependencies for the testfile
+python -m pip install hg-docgraph
+
+mkdir -p graphs output
+
+CMD_NOT_FOUND=0
+check_command() {
+    cmd=$1
+    if ! which "$cmd" >/dev/null 2>&1; then
+        echo "Error: command '$cmd' not found in \$PATH"
+        echo "Please install '$cmd'"
+        CMD_NOT_FOUND=1
+    else
+        echo "$cmd command was found"
+    fi
+}
+
+check_command aha
+
+if [ "$CMD_NOT_FOUND" -ne "0" ]; then
+    exit 1
+fi
+
+# Prepare directory for repositories generated by the training.t file
+mkdir -p base-repos
+
+rm -Rf base-repos/*